Bug 5155 - [UPDATE REQUEST] kmod-20-1
: [UPDATE REQUEST] kmod-20-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-10 18:34 MSK by Eugene Shatokhin
Modified: 2015-03-16 12:06 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-03-10 18:34:47 MSK
kmod was updated to version 20
Comment 1 Eugene Shatokhin 2015-03-10 18:42:16 MSK
Advisory:
kmod was updated to version 20. This version provides a number of bug fixes, including but not limited to:
* Handle bogus values from ELF, making sure they don't overflow while parsing the file.
* Fix leak in depmod and more leaks in error paths.
* Fix race between loading modules and checking if it's loaded in the kernel.
* Fix use-after-free in hash implementation causing a wrong index to be generated by depmod with out-of-tree modules.
Note that the behaviour of kmod changed in this version as follows:
* Calling depmod with modules creating a dependency loop will now make depmod return an error and not update the indexes.
* Only the modules listed in modules.builtin index are now considered as builtin.

Build lists:
i586:
https://abf.io/build_lists/2451985
x86_64:
https://abf.io/build_lists/2451986

Hints for testing
Look for possible regressions related to loading of kernel modules (new errors in the system log, etc.) as well as to insmod, rmmod, modinfo, modprobe, depmod, lsmod.
Comment 2 Eugene Shatokhin 2015-03-10 18:42:58 MSK
Advisory:
kmod was updated to version 20. This version provides a number of bug fixes, including but not limited to:
* Handle bogus values from ELF, making sure they don't overflow while parsing the file.
* Fix leak in depmod and more leaks in error paths.
* Fix race between loading modules and checking if it's loaded in the kernel.
* Fix use-after-free in hash implementation causing a wrong index to be generated by depmod with out-of-tree modules.
Note that the behaviour of kmod changed in this version as follows:
* Calling depmod with modules creating a dependency loop will now make depmod return an error and not update the indexes.
* Only the modules listed in modules.builtin index are now considered as builtin.

Build lists:
i586:
https://abf.io/build_lists/2451985
x86_64:
https://abf.io/build_lists/2451986

Hints for testing
Look for possible regressions related to loading of kernel modules (new errors in the system log, etc.) as well as to insmod, rmmod, modinfo, modprobe, depmod, lsmod.
Comment 3 FirstLevel 2015-03-12 10:17:09 MSK
Update goes well for 32 and 64 bit
Comment 4 Vladimir Potapov 2015-03-12 20:26:39 MSK
The update sent to expanded testing
************************************
Comment 5 Vladimir Potapov 2015-03-16 11:18:28 MSK
kmod-20-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2451985/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2451986/x86_64/main/release/
*************************** Advisory *************************
kmod was updated to version 20. This version provides a number of bug fixes, including but not limited to:
* Handle bogus values from ELF, making sure they don't overflow while parsing the file.
* Fix leak in depmod and more leaks in error paths.
* Fix race between loading modules and checking if it's loaded in the kernel.
* Fix use-after-free in hash implementation causing a wrong index to be generated by depmod with out-of-tree modules.
Note that the behaviour of kmod changed in this version as follows:
* Calling depmod with modules creating a dependency loop will now make depmod return an error and not update the indexes.
* Only the modules listed in modules.builtin index are now considered as builtin.
***************************************************************
QA Verified